import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubCollaboratorsConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/collaborators#affiliation DataGithubCollaborators#affiliation}
    */
    readonly affiliation?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/collaborators#owner DataGithubCollaborators#owner}
    */
    readonly owner: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/collaborators#repository DataGithubCollaborators#repository}
    */
    readonly repository: string;
}
export declare class DataGithubCollaboratorsCollaborator extends cdktf.ComplexComputedList {
    get eventsUrl(): string;
    get followersUrl(): string;
    get followingUrl(): string;
    get gistsUrl(): string;
    get htmlUrl(): string;
    get id(): number;
    get login(): string;
    get organizationsUrl(): string;
    get permission(): string;
    get receivedEventsUrl(): string;
    get reposUrl(): string;
    get siteAdmin(): cdktf.IResolvable;
    get starredUrl(): string;
    get subscriptionsUrl(): string;
    get type(): string;
    get url(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/collaborators github_collaborators}
*/
export declare class DataGithubCollaborators extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/collaborators github_collaborators} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubCollaboratorsConfig
    */
    constructor(scope: Construct, id: string, config: DataGithubCollaboratorsConfig);
    private _affiliation?;
    get affiliation(): string;
    set affiliation(value: string);
    resetAffiliation(): void;
    get affiliationInput(): string | undefined;
    collaborator(index: string): DataGithubCollaboratorsCollaborator;
    get id(): string;
    private _owner?;
    get owner(): string;
    set owner(value: string);
    get ownerInput(): string | undefined;
    private _repository?;
    get repository(): string;
    set repository(value: string);
    get repositoryInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
