import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubOrganizationTeamsConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/organization_teams#root_teams_only DataGithubOrganizationTeams#root_teams_only}
    */
    readonly rootTeamsOnly?: boolean | cdktf.IResolvable;
}
export declare class DataGithubOrganizationTeamsTeams extends cdktf.ComplexComputedList {
    get description(): string;
    get id(): number;
    get members(): string[];
    get name(): string;
    get nodeId(): string;
    get privacy(): string;
    get repositories(): string[];
    get slug(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/organization_teams github_organization_teams}
*/
export declare class DataGithubOrganizationTeams extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/organization_teams github_organization_teams} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubOrganizationTeamsConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataGithubOrganizationTeamsConfig);
    get id(): string;
    private _rootTeamsOnly?;
    get rootTeamsOnly(): boolean | cdktf.IResolvable;
    set rootTeamsOnly(value: boolean | cdktf.IResolvable);
    resetRootTeamsOnly(): void;
    get rootTeamsOnlyInput(): boolean | cdktf.IResolvable | undefined;
    teams(index: string): DataGithubOrganizationTeamsTeams;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
